<?php
require_once("../config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;



//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'filenames', 
	7 => 'id'
);

$sql = "SELECT id FROM admin_usermenulist";
$query=mysqli_query($conn, $sql) or die("Get the date from  admin_usermenulist table ");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT filenames,id ";
$sql.=" FROM admin_usermenulist WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( filenames LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("Get the date from  admin_usermenulist table ");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("Get the date from  admin_usermenulist table ");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	$nestedData[] = $row["filenames"];

	$edit  = "";
	
	$edit .="<a href='admin/usermenulist_MasterEdit.php?id=".$row['id']."' id='expenseMaster_".$row['id']."' class='btn btn-primary'>Edit</a>";
	
	$Delete  = "";
	
	$Delete .="<a  id='' class='btn btn-primary'>Delete</a>";
	
	$nestedData[] = $edit."&nbsp".$Delete;
    
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
